Project

General

Profile

Feature #11835

Feature #11834: Migrate our infrastructure to Puppet 4

Upgrade Puppet master and clients to 3.8

Added by intrigeri almost 3 years ago. Updated almost 3 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
Infrastructure
Target version:
Start date:
09/24/2016
Due date:
% Done:

100%

Feature Branch:
Type of work:
Sysadmin
Blueprint:
Starter:
Affected tool:

Description

That's one recommended step towards migrating to Puppet 4, e.g. so that agents can connect to a v4 puppetmaster: https://docs.puppet.com/puppet/4.5/reference/upgrade_major_pre.html#update-to-the-latest-puppet-server-11x-puppet-38x-and-puppetdb-23x.


Related issues

Blocks Tails - Feature #11836: Stop stringifying Puppet facts Resolved 09/24/2016
Blocks Tails - Feature #11833: Make our Puppet code compatible with the "future" parser Resolved 09/24/2016

History

#1 Updated by intrigeri almost 3 years ago

#2 Updated by intrigeri almost 3 years ago

  • Blocks deleted (Feature #11834: Migrate our infrastructure to Puppet 4)

#3 Updated by intrigeri almost 3 years ago

  • Parent task set to #11834

#4 Updated by intrigeri almost 3 years ago

#5 Updated by intrigeri almost 3 years ago

#6 Updated by intrigeri almost 3 years ago

  • Blocks Feature #11833: Make our Puppet code compatible with the "future" parser added

#7 Updated by intrigeri almost 3 years ago

  • Assignee set to intrigeri
  • Target version set to Tails_2.7

#8 Updated by intrigeri almost 3 years ago

jessie-backports has 3.8.5-2~bpo8+1 (not too far from Jessie's 3.7.2-4) so this seems to be doable.

#9 Updated by intrigeri almost 3 years ago

  • Status changed from Confirmed to Resolved
  • Assignee deleted (intrigeri)
  • % Done changed from 0 to 100

Done on all systems.

#10 Updated by intrigeri almost 3 years ago

Also available in: Atom PDF